go-unifi

Update Firewall Zone

Update a firewall zone on a site.

PUT
/v1/sites/{siteId}/firewall/zones/{firewallZoneId}

Update a firewall zone on a site.

X-Api-Key<token>

UniFi API key. Create one under Control Plane → Admins & Users → your admin → Create API Key (requires controller 9.0.114+).

In: header

Path Parameters

firewallZoneId*string
siteId*string

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X PUT "https://example.com/v1/sites/497f6eca-6276-4993-bfeb-53cbbbba6f08/firewall/zones/497f6eca-6276-4993-bfeb-53cbbbba6f08" \  -H "Content-Type: application/json" \  -d '{    "name": "Hotspot|My custom zone",    "networkIds": []  }'
{  "id": "ffcdb32c-6278-4364-8947-df4f77118df8",  "name": "Hotspot|My custom zone",  "networkIds": [],  "metadata": {    "origin": "string"  }}